Subject: Re: [PATCH] trace2: increment event format version

From: Josh Steadmon <[email-masked]>
Date: Thu, 11 Nov 2021 15:06:14 -0800

On 2021.11.11 15:03, Junio C Hamano wrote:
> Josh Steadmon <[email-masked]> writes:
> 
> > In 64bc752 (trace2: add trace2_child_ready() to report on background
> > children, 2021-09-20), we added a new "child_ready" event. In
> > Documentation/technical/api-trace2.txt, we promise that adding a new
> > event type will result in incrementing the trace2 event format version
> > number, but this was not done. Correct this in code & docs.
> >
> > Signed-off-by: Josh Steadmon <[email-masked]>
> > ---
> >  Documentation/technical/api-trace2.txt | 4 ++--
> >  trace2/tr2_tgt_event.c                 | 2 +-
> >  2 files changed, 3 insertions(+), 3 deletions(-)
> 
> Hmph, it seems to me that this is better done before the release,
> or am I mistaken?

Ideally yes, although I am not sure if there is anyone using traces who
strongly depends on the accuracy of the evt field. For release-blocking
fixes (for lack of a better term), should I have sent this patch
differently?